[amdgpu] (X)ubuntu 20.04 boots to black screen on Lenovo Ideapad L340-17API when in battery mode

Bug #1870971 reported by Alexander Mescheryakov on 2020-04-05
40
This bug affects 8 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
vlc (Ubuntu)
Undecided
Unassigned

Bug Description

Freshly installed Xubuntu 20.04 shows black screen instead of login screen upon boot on Lenovo Ideapad L340-17API. It is not possible to chvt to text terminal when boot is stuck on black screen.

Booting with 'nomodeset' kernel option works properly but is not an option (e.g. screen brightness is not adjustable in this case).

Another workaround is to ssh to laptop and run systemctl restart display-manager.service. After 5-10 seconds upon executing this command perfectly working login screen appears.

Check dmesg. There is apparently related messages from amdgpu driver:

...
апр 05 20:46:45 kernel: [drm:amdgpu_dm_set_crtc_irq_state [amdgpu]] *ERROR* amdgpu_dm_set_crtc_irq_state: crtc is NULL at id :3
апр 05 20:46:45 kernel: [drm:amdgpu_dm_set_crtc_irq_state [amdgpu]] *ERROR* amdgpu_dm_set_crtc_irq_state: crtc is NULL at id :3
апр 05 20:46:45 kernel: [drm:amdgpu_dm_set_crtc_irq_state [amdgpu]] *ERROR* amdgpu_dm_set_crtc_irq_state: crtc is NULL at id :3
апр 05 20:46:45 kernel: [drm:amdgpu_dm_set_crtc_irq_state [amdgpu]] *ERROR* amdgpu_dm_set_crtc_irq_state: crtc is NULL at id :3
апр 05 20:46:45 kernel: [drm:amdgpu_dm_set_pflip_irq_state [amdgpu]] *ERROR* amdgpu_dm_set_pflip_irq_state: crtc is NULL at id :3
апр 05 20:46:45 kernel: [drm:amdgpu_dm_set_pflip_irq_state [amdgpu]] *ERROR* amdgpu_dm_set_pflip_irq_state: crtc is NULL at id :3
апр 05 20:46:45 kernel: [drm:amdgpu_dm_set_pflip_irq_state [amdgpu]] *ERROR* amdgpu_dm_set_pflip_irq_state: crtc is NULL at id :3
апр 05 20:46:45 kernel: [drm:amdgpu_dm_set_pflip_irq_state [amdgpu]] *ERROR* amdgpu_dm_set_pflip_irq_state: crtc is NULL at id :3
апр 05 20:46:45 kernel: [drm:amdgpu_dm_set_vupdate_irq_state [amdgpu]] *ERROR* amdgpu_dm_set_vupdate_irq_state: crtc is NULL at id :3
апр 05 20:46:45 kernel: [drm:amdgpu_dm_set_vupdate_irq_state [amdgpu]] *ERROR* amdgpu_dm_set_vupdate_irq_state: crtc is NULL at id :3
апр 05 20:46:45 kernel: [drm:amdgpu_dm_set_vupdate_irq_state [amdgpu]] *ERROR* amdgpu_dm_set_vupdate_irq_state: crtc is NULL at id :3
апр 05 20:46:45 kernel: [drm:amdgpu_dm_set_vupdate_irq_state [amdgpu]] *ERROR* amdgpu_dm_set_vupdate_irq_state: crtc is NULL at id :3
апр 05 20:46:45 kernel: [drm] recover vram bo from shadow start
апр 05 20:46:45 kernel: [drm] recover vram bo from shadow done
апр 05 20:46:45 kernel: [drm] Skip scheduling IBs!
апр 05 20:46:45 kernel: ------------[ cut here ]------------
апр 05 20:46:45 kernel: WARNING: CPU: 3 PID: 793 at include/linux/dma-fence.h:533 drm_sched_resubmit_jobs+0x152/0x160 [gpu_sched]
апр 05 20:46:45 kernel: Modules linked in: cmac algif_hash algif_skcipher af_alg bnep zram nls_iso8859_1 snd_hda_codec_realtek snd_hda_codec_generic ledtrig_audio snd_hda_codec_hdmi snd_hda_intel snd_intel_nhlt snd_hda_codec >
апр 05 20:46:45 kernel: CPU: 3 PID: 793 Comm: kworker/3:4 Tainted: G OE 5.4.0-21-generic #25-Ubuntu
апр 05 20:46:45 kernel: Hardware name: LENOVO 81LY/LNVNB161216, BIOS ARCN32WW 07/11/2019
апр 05 20:46:45 kernel: Workqueue: events drm_sched_job_timedout [gpu_sched]
апр 05 20:46:45 kernel: RIP: 0010:drm_sched_resubmit_jobs+0x152/0x160 [gpu_sched]
апр 05 20:46:45 kernel: Code: 41 5c 41 5d 41 5e 41 5f 5d c3 49 8b 46 10 31 c9 48 c7 80 80 00 00 00 00 00 00 00 49 8b 7f 70 31 c0 83 e7 01 74 04 0f 0b eb bf <0f> 0b eb c7 0f 0b eb 8b 66 0f 1f 44 00 00 0f 1f 44 00 00 83 7f 4c
апр 05 20:46:45 kernel: RSP: 0018:ffffa4dc806d7d28 EFLAGS: 00010246
апр 05 20:46:45 kernel: RAX: 0000000000000000 RBX: 0000000000000001 RCX: 0000000000000000
апр 05 20:46:45 kernel: RDX: ffff8cc9a6fc9180 RSI: ffff8cc9ac4609f8 RDI: 0000000000000000
апр 05 20:46:45 kernel: RBP: ffffa4dc806d7d60 R08: 000000000000047a R09: 0000000000000004
апр 05 20:46:45 kernel: R10: 0000000000000000 R11: 0000000000000001 R12: ffff8cc9ac463c00
апр 05 20:46:45 kernel: R13: ffff8cc9a63c7980 R14: ffff8cc9ac460800 R15: ffff8cc9a6fc9140
апр 05 20:46:45 kernel: FS: 0000000000000000(0000) GS:ffff8cc9b88c0000(0000) knlGS:0000000000000000
апр 05 20:46:45 kernel: CS: 0010 DS: 0000 ES: 0000 CR0: 0000000080050033
апр 05 20:46:45 kernel: CR2: 00007f275ff6c000 CR3: 00000001af148000 CR4: 00000000003406e0
апр 05 20:46:45 kernel: Call Trace:
апр 05 20:46:45 kernel: amdgpu_device_gpu_recover+0x6cd/0x95a [amdgpu]
апр 05 20:46:45 kernel: amdgpu_job_timedout+0x103/0x130 [amdgpu]
апр 05 20:46:45 kernel: drm_sched_job_timedout+0x44/0x90 [gpu_sched]
апр 05 20:46:45 kernel: process_one_work+0x1eb/0x3b0
апр 05 20:46:45 kernel: worker_thread+0x4d/0x400
апр 05 20:46:45 kernel: kthread+0x104/0x140
апр 05 20:46:45 kernel: ? process_one_work+0x3b0/0x3b0
апр 05 20:46:45 kernel: ? kthread_park+0x90/0x90
апр 05 20:46:45 kernel: ret_from_fork+0x22/0x40
апр 05 20:46:45 kernel: ---[ end trace fb203c8f6a7afd49 ]---
...

ProblemType: Bug
DistroRelease: Ubuntu 20.04
Package: xorg 1:7.7+19ubuntu14
ProcVersionSignature: Ubuntu 5.4.0-21.25-generic 5.4.27
Uname: Linux 5.4.0-21-generic x86_64
ApportVersion: 2.20.11-0ubuntu22
Architecture: amd64
BootLog: Error: [Errno 13] Отказано в доступе: '/var/log/boot.log'
CompositorRunning: None
CurrentDesktop: XFCE
Date: Sun Apr 5 20:52:30 2020
DistUpgraded: Fresh install
DistroCodename: focal
DistroVariant: ubuntu
DkmsStatus: rtl8821ce, 5.5.2.1, 5.4.0-21-generic, x86_64: installed
ExtraDebuggingInterest: Yes
GpuHangFrequency: Several times a week
GpuHangReproducibility: Yes, I can easily reproduce it
GpuHangStarted: Immediately after installing this version of Ubuntu
GraphicsCard:
 Advanced Micro Devices, Inc. [AMD/ATI] Picasso [1002:15d8] (rev c4) (prog-if 00 [VGA controller])
   Subsystem: Lenovo Picasso [17aa:3808]
InstallationDate: Installed on 2020-04-04 (1 days ago)
InstallationMedia: Xubuntu 20.04 LTS "Focal Fossa" - Beta amd64 (20200404)
MachineType: LENOVO 81LY
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-5.4.0-21-generic root=/dev/mapper/vgxubuntu-root ro quiet splash vt.handoff=7
SourcePackage: xorg
Symptom: display
Title: Xorg freeze
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 07/11/2019
dmi.bios.vendor: LENOVO
dmi.bios.version: ARCN32WW
dmi.board.asset.tag: No Asset Tag
dmi.board.name: LNVNB161216
dmi.board.vendor: LENOVO
dmi.board.version: No DPK
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Lenovo IdeaPad L340-17API
dmi.modalias: dmi:bvnLENOVO:bvrARCN32WW:bd07/11/2019:svnLENOVO:pn81LY:pvrLenovoIdeaPadL340-17API:rvnLENOVO:rnLNVNB161216:rvrNoDPK:cvnLENOVO:ct10:cvrLenovoIdeaPadL340-17API:
dmi.product.family: IdeaPad L340-17API
dmi.product.name: 81LY
dmi.product.sku: LENOVO_MT_81LY_BU_idea_FM_IdeaPad L340-17API
dmi.product.version: Lenovo IdeaPad L340-17API
dmi.sys.vendor: LENOVO
version.compiz: compiz N/A
version.libdrm2: libdrm2 2.4.100-4
version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.2-1ubuntu1
version.libgl1-mesa-glx: libgl1-mesa-glx N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.20.7-2ubuntu2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20190815-1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

summary: - Xorg freeze
+ Xubuntu 20.04 boots to black screen on Lenovo Ideapad L340-17API
affects: ubuntu → xorg (Ubuntu)
tags: added: amdgpu
summary: - Xubuntu 20.04 boots to black screen on Lenovo Ideapad L340-17API
+ [amdgpu] Xubuntu 20.04 boots to black screen on Lenovo Ideapad
+ L340-17API
affects: xorg (Ubuntu) → linux (Ubuntu)

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

This issue is not 100% reproducible. It happens after 50% of reboots and I can't figure out regularity.

But I managed to contrive a workaround!

```
$ cat /etc/systemd/system/fix-graphics-after-boot.service
[Unit]
Description=Restart display-manager if amdgpu initialization failed
After=display-manager.service
JobRunningTimeoutSec=30

[Install]
WantedBy=graphical.target

[Service]
Type=oneshot
ExecCondition=/usr/bin/dash -c "journalctl -fk | grep -Fm1 'amdgpu_cs_ioctl [amdgpu]] *ERROR* Failed to initialize parser'"
ExecStart=/usr/bin/systemctl restart display-manager.service
```

After you've created such file don't forget to enable it:
systemctl enable fix-graphics-after-boot.service

The idea of this service is to scan kernel logs for 30 seconds after display-manager is started and if there is signs that amdgpu initialization failed then restart display-manager. Works for me! Though adds 15 seconds delay for 50% of boots.

Daniel van Vugt (vanvugt) wrote :

Ha, that's a great hack and not something you should need to do. But great hack.

I noticed that after boot with badly initialized GPU idle power consumption is 2-2.5 higher than after normal boots.

But this can be fixed by putting laptop to suspend and waking it. Therefore I've extended my workaround from #3 to this:

[Service]
Type=oneshot
ExecCondition=/bin/sh -c "journalctl -fk | grep -Fm1 'amdgpu_cs_ioctl [amdgpu]] *ERROR* Failed to initialize parser'"

ExecStart=/usr/bin/echo 'Not good. Restarting display-manager'
ExecStart=/usr/bin/systemctl restart display-manager.service
ExecStart=/usr/bin/sleep 3
ExecStart=/usr/bin/echo 'Brief suspend to fix power consumption'
# Note that mode has to be "mem". "freeze" does not fix power consumption.
ExecStart=/usr/sbin/rtcwake --mode mem --seconds 3

Christian (christian-beam) wrote :

I am also experiencing this same issue on an Acer Aspire Slim 5. I installed Ubuntu 20.04 server edition and then Mate-desktop on top of that. It seems that I only experience this issue when I do not have ethernet plugged in. With ethernet plugged in the system boots just fine into the window manager. I get the same dmesg output as above. I will try and collect all the relevant information and post it soon.

Christian (christian-beam) wrote :

Apologies, this only occurs from me when I don't have the POWER plugged in. If I am on just battery it will just boot to a black screen, but when plugged in to the charger it boots up just fine.

Thomas U. (thomas-unterthiner) wrote :

I have the same issue on a Thinkpad X395: with power plugged in, everything boots fine. However, on battery it will only boot to a black screen once the display manager is started.

Plugging the power in, booting up and unplugging the power once the login-screen appears does work, however. Also, using `nomodeset` as kernel option works, but in that case, amdgpu won't be loaded (I assume some generic VESA driver is used in that case).

shura (shura0) wrote :

I have exactly the same on lenovo ideapad S340 on AMD

Klaus Rennecke (kre) wrote :

Seen on ThinkPad E495. Updated BIOS to 1.16 -- good but did NOT solve this particular issue. Still getting the boot-to-black issue on battery power, on a random basis.

Attempting the workaround from Alexander in #3 and #5.

Franz Heinz (franzheinz) wrote :

Can confirm that the problem occurs on my "Lenovo IdeaPad L340-17API" regularly when power isn't plugged in.

On some occasions I got a corrupted root filesystem as a consequence of having to turn the system off "hard".
Furthermore I noticed that sometimes the Power-LED began to blink instead of glowing steadily.

This problem also occurs in my HP-CW1011la laptop (Ryzen 3500u) while trying to boot on battery. Iĺl try Alexander´s workaround.

Alexander´s solution worked just fine.

You-Sheng Yang (vicamo) wrote :

https://bugzilla.kernel.org/show_bug.cgi?id=205089

It seems this should have been fixed in vanilla kernel v5.4.35, which maps to Ubuntu kernel 5.4.0-34. So could you have a try on the latest kernel?

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Klaus Rennecke (kre) wrote :

At the time of my first comment, and the occurrences, the kernel installed was 5.4.0.33.38 on Ubuntu. On Jun 10 this was updated to 5.4.0.37.40 and so far I did not observe any recurrence. Note however that the effect was intermittent. If it does not recur until end of the month I guess it can be considered fixed.

Klaus Rennecke (kre) wrote :
Download full text (7.0 KiB)

NOT fixed in 5.4.0; it just recurred here on cold start from battery power.

 OS: Ubuntu 20.04 focal
 Kernel: x86_64 Linux 5.4.0-37-generic
 Uptime: 17m
 Packages: 2908
 Shell: bash 5.0.16
 Resolution: 5360x1440
 DE: GNOME 3.36.2
 WM: BudgieWM
 WM Theme: Pocillo
 GTK Theme: Pocillo-dark [GTK2/3]
 Icon Theme: Pocillo
 Font: Noto Sans 11
 Disk: 191G / 412G (49%)
 CPU: AMD Ryzen 7 3700U with Radeon Vega Mobile Gfx @ 8x 2.3GHz
 GPU: AMD RAVEN (DRM 3.35.0, 5.4.0-37-generic, LLVM 9.0.1)
 RAM: 3801MiB / 30049MiB

While sadly this event dashed my hopes that it went away, it also confirmed that the hack from ~alexander-s-m works even with LUKS present.

~vicamo can you please transition status back to confirmed? Not sure what the etiquette here is or if I am supposed to change it myself.

...
Jun 20 20:54:34 redacted kernel: [drm:amdgpu_job_timedout [amdgpu]] *ERROR* ring gfx timeout, signaled seq=1, emitted seq=5
Jun 20 20:54:34 redacted kernel: [drm:amdgpu_job_timedout [amdgpu]] *ERROR* Process information: process Xorg pid 1367 thread Xorg:cs0 pid 1387
Jun 20 20:54:34 redacted kernel: amdgpu 0000:05:00.0: GPU reset begin!
Jun 20 20:54:35 redacted kernel: amdgpu 0000:05:00.0: GPU reset succeeded, trying to resume
Jun 20 20:54:35 redacted kernel: [drm] PCIE GART of 1024M enabled (table at 0x000000F400900000).
Jun 20 20:54:35 redacted kernel: [drm] PSP is resuming...
Jun 20 20:54:35 redacted kernel: [drm] reserve 0x400000 from 0xf47f800000 for PSP TMR
Jun 20 20:54:36 redacted kernel: [drm] psp command failed and response status is (0x7)
Jun 20 20:54:36 redacted kernel: [drm] VCN decode and encode initialized successfully(under DPG Mode).
Jun 20 20:54:36 redacted kernel: amdgpu 0000:05:00.0: ring gfx uses VM inv eng 0 on hub 0
Jun 20 20:54:36 redacted kernel: amdgpu 0000:05:00.0: ring comp_1.0.0 uses VM inv eng 1 on hub 0
Jun 20 20:54:36 redacted kernel: amdgpu 0000:05:00.0: ring comp_1.1.0 uses VM inv eng 4 on hub 0
Jun 20 20:54:36 redacted kernel: amdgpu 0000:05:00.0: ring comp_1.2.0 uses VM inv eng 5 on hub 0
Jun 20 20:54:36 redacted kernel: amdgpu 0000:05:00.0: ring comp_1.3.0 uses VM inv eng 6 on hub 0
Jun 20 20:54:36 redacted kernel: amdgpu 0000:05:00.0: ring comp_1.0.1 uses VM inv eng 7 on hub 0
Jun 20 20:54:36 redacted kernel: amdgpu 0000:05:00.0: ring comp_1.1.1 uses VM inv eng 8 on hub 0
Jun 20 20:54:36 redacted kernel: amdgpu 0000:05:00.0: ring comp_1.2.1 uses VM inv eng 9 on hub 0
Jun 20 20:54:36 redacted kernel: amdgpu 0000:05:00.0: ring comp_1.3.1 uses VM inv eng 10 on hub 0
Jun 20 20:54:36 redacted kernel: amdgpu 0000:05:00.0: ring kiq_2.1.0 uses VM inv eng 11 on hub 0
Jun 20 20:54:36 redacted kernel: amdgpu 0000:05:00.0: ring sdma0 uses VM inv eng 0 on hub 1
Jun 20 20:54:36 redacted kernel: amdgpu 0000:05:00.0: ring vcn_dec uses VM inv eng 1 on hub 1
Jun 20 20:54:36 redacted kernel: amdgpu 0000:05:00.0: ring vcn_enc0 uses VM inv eng 4 on hub 1
Jun 20 20:54:36 redacted kernel: amdgpu 0000:05:00.0: ring vcn_enc1 uses VM inv eng 5 on hub 1
Jun 20 20:54:36 redacted kernel: amdgpu 0000:05:00.0: ring vcn_jpeg uses VM inv eng 6 on hub 1
Jun 20 20:54:36 redacted kernel: [drm] recover vram bo from shadow start
Jun 20 20:54:36 redacted kernel: [d...

Read more...

Dirk Rydvan (rydvan) wrote :
Download full text (8.4 KiB)

Hello dears - me too:

it is a ASUS with Ryzen and Kubuntu LTS 20.04 - It happens from my point of view only with battary power.
May be it is related to also happen https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1873325 with missing firmware, that also not can found in git repo for Linux Firmware

notebook:~$ uname -a
Linux notebook 5.4.0-37-generic #41-Ubuntu SMP Wed Jun 3 18:57:02 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

Jun 20 21:55:02 notebook systemd[1]: snapd.service: Succeeded.
Jun 20 21:55:08 notebook kernel: [ 20.435116] [drm:amdgpu_job_timedout [amdgpu]] *ERROR* ring gfx timeout, signaled seq=1, emitted seq=3
Jun 20 21:55:08 notebook kernel: [ 20.435251] [drm:amdgpu_job_timedout [amdgpu]] *ERROR* Process information: process Xorg pid 843 thread Xorg:cs0 pid 850
Jun 20 21:55:08 notebook kernel: [ 20.435259] amdgpu 0000:03:00.0: GPU reset begin!
Jun 20 21:55:08 notebook systemd[1]: NetworkManager-dispatcher.service: Succeeded.
Jun 20 21:55:09 notebook kernel: [ 21.587697] amdgpu 0000:03:00.0: GPU reset succeeded, trying to resume
Jun 20 21:55:09 notebook kernel: [ 21.588322] [drm] PCIE GART of 1024M enabled (table at 0x000000F400900000).
Jun 20 21:55:09 notebook kernel: [ 21.588923] [drm] PSP is resuming...
Jun 20 21:55:09 notebook kernel: [ 21.608781] [drm] reserve 0x400000 from 0xf47f800000 for PSP TMR
Jun 20 21:55:09 notebook kernel: [ 21.620978] [drm] psp command failed and response status is (0x7)
Jun 20 21:55:10 notebook kernel: [ 22.254474] [drm] VCN decode and encode initialized successfully(under DPG Mode).
Jun 20 21:55:10 notebook kernel: [ 22.254485] amdgpu 0000:03:00.0: ring gfx uses VM inv eng 0 on hub 0
Jun 20 21:55:10 notebook kernel: [ 22.254488] amdgpu 0000:03:00.0: ring comp_1.0.0 uses VM inv eng 1 on hub 0
Jun 20 21:55:10 notebook kernel: [ 22.254491] amdgpu 0000:03:00.0: ring comp_1.1.0 uses VM inv eng 4 on hub 0
Jun 20 21:55:10 notebook kernel: [ 22.254493] amdgpu 0000:03:00.0: ring comp_1.2.0 uses VM inv eng 5 on hub 0
Jun 20 21:55:10 notebook kernel: [ 22.254496] amdgpu 0000:03:00.0: ring comp_1.3.0 uses VM inv eng 6 on hub 0
Jun 20 21:55:10 notebook kernel: [ 22.254498] amdgpu 0000:03:00.0: ring comp_1.0.1 uses VM inv eng 7 on hub 0
Jun 20 21:55:10 notebook kernel: [ 22.254500] amdgpu 0000:03:00.0: ring comp_1.1.1 uses VM inv eng 8 on hub 0
Jun 20 21:55:10 notebook kernel: [ 22.254502] amdgpu 0000:03:00.0: ring comp_1.2.1 uses VM inv eng 9 on hub 0
Jun 20 21:55:10 notebook kernel: [ 22.254505] amdgpu 0000:03:00.0: ring comp_1.3.1 uses VM inv eng 10 on hub 0
Jun 20 21:55:10 notebook kernel: [ 22.254508] amdgpu 0000:03:00.0: ring kiq_2.1.0 uses VM inv eng 11 on hub 0
Jun 20 21:55:10 notebook kernel: [ 22.254510] amdgpu 0000:03:00.0: ring sdma0 uses VM inv eng 0 on hub 1
Jun 20 21:55:10 notebook kernel: [ 22.254512] amdgpu 0000:03:00.0: ring vcn_dec uses VM inv eng 1 on hub 1
Jun 20 21:55:10 notebook kernel: [ 22.254514] amdgpu 0000:03:00.0: ring vcn_enc0 uses VM inv eng 4 on hub 1
Jun 20 21:55:10 notebook kernel: [ 22.254516] amdgpu 0000:03:00.0: ring vcn_enc1 uses VM inv eng 5 on hub 1
Jun 20 21:55:10 notebook kernel: [ 22.254518] amdgpu 0000:03:00.0: ring ...

Read more...

You-Sheng Yang (vicamo) on 2020-06-22
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Katan Maier (katastic) wrote :

Lenovo Ideapad S540-14API Ubuntu Mate 20.04 user here:
Same bug affects me very much. Black screen on boot, probably only when on battery-only during boot.
The workaround mentioned in #3 works for me, but the battery runtime is halved. The workaround in #5 has the effect of no video during vlc media player playback.

@katastic Interestingly I've also noticed video output problems in VLC on my Lenovo Ideapad L340-17API.

In my case video is present in VLC but quality is quite poor, video looks interlaced even though it is not.

Workaround: reconfigure VLC to use another video output module and probably restart VLC. This command made video quality in VLC normal for me:
sed -i 's/.*vout=.*/vout=gles2/' ~/.config/vlc/vlcrc

Katan Maier (katastic) wrote :

@alexander-s-m:
On a fresh install without any workarounds using VLC with the setting "Hardware-accelerated decoding" set to "VDPAU video decoder" (under Tools -> (Simple) Preferences -> Input/Codec) I experience the same low video quality on HDTV (H.264) video channels you are writing about. On UHD (H.265) channels the video is stuck.

Setting this to "disabled" in vlc gives good video quality on HD and UHD (the cpu is used intensively though).

Oddly on Windows 10 this laptop (Lenovo Ideapad S540-14API) isn't able to show these HD or UHD tv channels without big glitches, no matter which settings, drivers or whatever. Reinstalling didn't help either. At least it seems to work good on Linux. Only other major issue with the laptop so far was the wifi card: Changing this to 01AX709 with an atheros chipset made wifi great again...

But back to the topic:
I suggest everyone who thinks to be affected by this issue to try to change one line in "/etc/default/grub" to
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash iommu=soft"
and run
update-grub
afterwards.

This seems to have fixed the black screen issue so far (at least I haven't experienced the issue in the last 24 hours) and I didn't notice negative effects of this change. I'm running Ubuntu Mate 20.04 with 5.4.0-37-generic #41-Ubuntu SMP Wed Jun 3 18:57:02 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux.

The Problem still seems not to have been solved with the current kernel under Ubuntu 20.04. LTS

summary: - [amdgpu] Xubuntu 20.04 boots to black screen on Lenovo Ideapad
+ [amdgpu] (X)ubuntu 20.04 boots to black screen on Lenovo Ideapad
L340-17API
Franz Heinz (franzheinz) on 2020-06-29
tags: added: battery
summary: [amdgpu] (X)ubuntu 20.04 boots to black screen on Lenovo Ideapad
- L340-17API
+ L340-17API when in battery mode

VDPAU is only useful if you have a NVIDIA GPU.

Changed in vlc (Ubuntu):
status: New → Invalid
Franz Heinz (franzheinz) wrote :

@Katan Maier (katastic): Did you encounter any problems with the GRUB configuration mentioned in post #20?

And does this fix the problems with VLC, too?

Kai-Heng Feng (kaihengfeng) wrote :

Please test latest mainline kernel:
https://kernel.ubuntu.com/~kernel-ppa/mainline/v5.8-rc3/

If mainline kernel doesn't work, please file an upstream bug at
https://gitlab.freedesktop.org/drm/amd/issues

Katan Maier (katastic) wrote :

@franzheinz: I didn't notice any negative side effects with the workaround in #20.

I've installed https://kernel.ubuntu.com/~kernel-ppa/mainline/v5.8-rc3/ and the problem seems to have been solved. My laptop is a HP-Pavilion-Laptop-15-cw1xxx, CPU: AMD Ryzen 5 3500U with Radeon Vega Mobile Gfx.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.